=== requirements.txt ===
Cython
EasyDict
mxnet-cu80
Pillow
pyyaml
