=== debian/changelog ===
ros-indigo-rail-object-detector (3.0.2-0trusty) trusty; urgency=high

  * Update the default branch

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Thu, 01 Nov 2018 04:00:00 -0000

ros-indigo-rail-object-detector (3.0.1-0trusty) trusty; urgency=high

  * Create a separate package for the messages
  * Contributors: Siddhartha Banerjee, banerjs

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Fri, 07 Sep 2018 04:00:00 -0000

ros-indigo-rail-object-detector (2.0.1-0trusty) trusty; urgency=high

  * Added Deformable RFCN detector.
  * Change darknet node name.
  * Change directory structure and file names for darknet.
  * Update README with valid weights file, and fix broken links
  * Contributors: Andrew Silva, Ryan Petschek, Siddhartha Banerjee, Weiyu Liu

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Mon, 11 Dec 2017 05:00:00 -0000

ros-indigo-rail-object-detector (1.0.4-0trusty) trusty; urgency=high

  * Adding in an automatic build for 32 bit
  * Contributors: Siddhartha Banerjee, banerjs

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Thu, 09 Feb 2017 05:00:00 -0000

ros-indigo-rail-object-detector (1.0.3-0trusty) trusty; urgency=high

  * Adding in base travis build
  * Fixed the 32-bit compile error, hopefully
  * Contributors: Siddhartha Banerjee

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Thu, 09 Feb 2017 05:00:00 -0000

ros-indigo-rail-object-detector (1.0.2-0trusty) trusty; urgency=high

  * Completed the build of GPU with flags
  * Pushing fixes in master back to gpu_devel. Merge branch 'master' into gpu_devel
  * Updated the README. Unfortunately, the mangling of data between publisher and service still exists and I cannot get rid of it
  * Fixed timing bugs with the object detector and possibly even the bug between service and topic contention. Need to test
  * Merging updates on master into the GPU branch
  * Created and Tested install of the package
  * Removed the need to update internal config file values
  * Returning defaults
  * Changed naming for a public release.
  * Testing out GPU functionality
  * Adding in a gitignore
  * Updated the detector to also use a topic for publishing object detections
  * removed unused parameters
  * removed service name parameter
  * Updated path in test script to use package-based absolute path
  * package-location-based absolute paths for ros params, minor cleanup and debugging, documentation
  * Adding in the cfg and data folders
  * Completed final details on object detection. Delivering project for now
  * Cursory stress test of the node is complete
  * Finally done with a functioning prototype of the object detector
  * Successful linkage of C++ with C
  * Completed ROS Skeleton for the detector
  * Initial commit of the object detector
  * Contributors: David Kent, Siddhartha Banerjee

 -- Siddhartha Banerjee <banerjs.sid@gmail.com>  Fri, 03 Feb 2017 05:00:00 -0000
